Summary:	The NIS (Network Information Service) server
Url:		http://www.linux-nis.org/
Name:		ypserv
Version:	4.1
Release:	%mkrel 1
License:	GPL
Group:		System/Servers

Source0:	https://github.com/thkukuk/%{name}/archive/v%{version}.tar.gz
Source1:	ypserv-ypserv.init
Source2:	ypserv-yppasswdd.init
Source3:	ypserv-ypxfrd.init
Patch0:		ypserv-2.5-redhat.patch
Patch2:		ypserv-2.5-nfsnobody2.patch
Patch3:		ypserv-2.13-ypxfr-zeroresp.patch
Patch4:		ypserv-2.13-nonedomain.patch
Patch5:		ypserv-2.19-slp-warning.patch
Patch6:		ypserv-4.0-manfix.patch
Patch7:		ypserv-2.24-aliases.patch
Patch8:		ypserv-2.27-confpost.patch
Patch10:	ypserv-2.31-netgrprecur.patch
Patch12:	ypserv-4.0-headers.patch
Patch14:	ypserv-4.0-selinux-context.patch

BuildRequires:	gdbm-devel
BuildRequires:	openslp-devel
BuildRequires:	pkgconfig(libnsl)
BuildRequires:	pkgconfig(systemd)
BuildRequires:	libtirpc-devel
Requires:	rpcbind make
Requires(post):	rpm-helper
Requires(preun):	rpm-helper

%description
The Network Information Service (NIS) is a system which provides network
information (login names, passwords, home directories, group information)
to all of the machines on a network.  NIS can enable users to login on
any machine on the network, as long as the machine has the NIS client
programs running and the user's password is recorded in the NIS passwd
database.  NIS was formerly known as Sun Yellow Pages (YP).

This package provides the NIS server, which will need to be running on
your network.  NIS clients do not need to be running the server.

Install ypserv if you need an NIS server for your network.  You'll also
need to install the yp-tools and ypbind packages onto any NIS client
machines.

%prep
%setup -q
%patch0 -p1 -b .redhat
%patch2 -p1 -b .nfsnobody
%patch3 -p1 -b .respzero
%patch4 -p1 -b .nonedomain
%patch5 -p1 -b .slp-warning
%patch6 -p1 -b .manfix
%patch7 -p1 -b .aliases
%patch8 -p1 -b .confpost
%patch10 -p1 -b .netgrprecur
%patch12  -b .headers
%patch14 -p1 -b .selinux-context

autoreconf -i

%build
%serverbuild
cp etc/README etc/README.etc
%configure --enable-checkroot \
	   --enable-fqdn \
	   --libexecdir=%{_libdir}/yp \
	   --mandir=%{_mandir}
%make_build

%install
%make_install

install -m644 etc/ypserv.conf -D %{buildroot}%{_sysconfdir}/ypserv.conf
install -m755 %{SOURCE1} -D %{buildroot}%{_initrddir}/ypserv
install -m755 %{SOURCE2} -D %{buildroot}%{_initrddir}/yppasswdd
install -m755 %{SOURCE3} -D %{buildroot}%{_initrddir}/ypxfrd

perl -pi -e "s|/etc/rc.d/init.d|%{_initrddir}|" %{buildroot}%{_initrddir}/*

%post
%_post_service ypserv
%_post_service yppasswdd
%_post_service ypxfrd

%preun
%_preun_service ypserv
%_preun_service yppasswdd
%_preun_service ypxfrd
 
%files
%doc README INSTALL ChangeLog TODO NEWS
%doc etc/ypserv.conf etc/securenets etc/README.etc
%config(noreplace) %{_sysconfdir}/ypserv.conf
%config(noreplace) /var/yp/*
%{_initrddir}/*
%dir %{_libdir}/yp
%attr(755, root, root) %{_libdir}/yp/*
%attr(755, root, root) %{_sbindir}/*
%{_mandir}/*/*
%{_includedir}/*/*


%changelog
* Wed Nov 25 2020 tv <tv> 4.1-1.mga8
+ Revision: 1649366
- 4.1 which builds with tirpc/glibc-2.32

* Fri Feb 14 2020 umeabot <umeabot> 2.32.1-9.mga8
+ Revision: 1519105
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.32.1-8.mga7
+ Revision: 1302028
- Mageia 7 Mass Rebuild

* Sun Jun 17 2018 luigiwalser <luigiwalser> 2.32.1-7.mga7
+ Revision: 1237495
- rebuild for gdbm

* Fri Feb 05 2016 umeabot <umeabot> 2.32.1-6.mga6
+ Revision: 938300
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.32.1-5.mga5
+ Revision: 750292
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 2.32.1-4.mga5
+ Revision: 725286
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 2.32.1-3.mga5
+ Revision: 690844
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 colin <colin> 2.32.1-2.mga5
+ Revision: 672036
- Rebuild for new systemd

* Sat Mar 15 2014 luigiwalser <luigiwalser> 2.32.1-1.mga5
+ Revision: 604036
- 2.32.1 (fixes sd_notify check with systemd >= 209)
- BR systemd-devel
- use gawk instead of mawk

* Thu Dec 05 2013 luigiwalser <luigiwalser> 2.32-1.mga5
+ Revision: 555390
- 2.32

* Sat Oct 19 2013 umeabot <umeabot> 2.31-2.mga4
+ Revision: 523728
- Mageia 4 Mass Rebuild

* Thu May 09 2013 luigiwalser <luigiwalser> 2.31-1.mga4
+ Revision: 412783
- 2.31

* Mon Jan 14 2013 umeabot <umeabot> 2.29-2.mga3
+ Revision: 387619
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 luigiwalser <luigiwalser> 2.29-1.mga3
+ Revision: 291167
- 2.29

* Sun Jul 29 2012 luigiwalser <luigiwalser> 2.28-1.mga3
+ Revision: 275833
- 2.28

* Sat Mar 03 2012 luigiwalser <luigiwalser> 2.27-1.mga2
+ Revision: 217473
- 2.27
- fix source URL
- add patch 16 from fedora to fix build issue

* Tue Dec 06 2011 fwang <fwang> 2.26-2.mga2
+ Revision: 177169
- rebuild for new gdbm

* Tue Sep 06 2011 tv <tv> 2.26-1.mga2
+ Revision: 139477
- add missing LSB keywords
- new release

* Fri Apr 15 2011 nanardon <nanardon> 2.24-1.mga1
+ Revision: 85872
- 2.24

* Tue Feb 08 2011 ennael <ennael> 2.22-2.mga1
+ Revision: 49052
- imported package ypserv

